=== datafiles/CMakeLists.txt ===
install(DIRECTORY animations DESTINATION ${CEGUI_DATA_INSTALL_DIR})
#install(DIRECTORY configs DESTINATION ${CEGUI_DATA_INSTALL_SUBDIR})
install(DIRECTORY fonts DESTINATION ${CEGUI_DATA_INSTALL_DIR})
install(DIRECTORY imagesets DESTINATION ${CEGUI_DATA_INSTALL_DIR})
install(DIRECTORY layouts DESTINATION ${CEGUI_DATA_INSTALL_DIR})
install(DIRECTORY looknfeel DESTINATION ${CEGUI_DATA_INSTALL_DIR})
install(DIRECTORY lua_scripts DESTINATION ${CEGUI_DATA_INSTALL_DIR})
install(DIRECTORY schemes DESTINATION ${CEGUI_DATA_INSTALL_DIR})
install(DIRECTORY xml_schemas DESTINATION ${CEGUI_DATA_INSTALL_DIR})
