=== tests/CMakeLists.txt ===
cegui_add_test_executable(CEGUITests)
