=== debian/changelog ===
cegui-mk2 (0.8.4+dfsg-4ubuntu1) xenial; urgency=medium

  * Stop preferring libpng16-dev, trust the archive to know what's best.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 13 Apr 2016 09:41:25 -0600

cegui-mk2 (0.8.4+dfsg-4) unstable; urgency=medium

  [ Muammar El Khatib ]
  * The SampleFramework was deactivated due to missing OpenGL dependencies
    (GLFW library). In this revision libglfw-dev was added to fulfill this.
  * debian/control:
    + Build-depends on: libglfw-dev, libfribidi-dev, libirrlicht-dev,
    libdirectfb-dev, libgtk2.0-dev, libminizip-dev, librapidxml-dev.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 12 Jan 2016 21:49:56 +0100

cegui-mk2 (0.8.4+dfsg-3) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload.
  * d/control: Add VCS-* field point to collab-maint on alioth.
  * Update watchfile.

  [ Muammar El Khatib ]
  * Package build fine with GLEW 1.12.0. (Closes: #790958)
  * CEGUI now is built with libpng16. (Closes: #809886)
  * debian/copyright:
    + The file datafiles/fonts/RichStyle.ttf is licensed under "Ubuntu Font
    License 1.0".
    + License CC-BY-SA for promo/* has been corrected in this revision.
  * The file ./datafiles/fonts/mizufalp.ttf is not redistributable, and now
    has been taken out from the pristine tarball.
  * Embedded javascript library jquery.js was linked against the one provided
    by libjs-jquery package.
  * debian/control:
    + Build-Depends on libjs-jquery.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 10 Jan 2016 01:11:43 +0100

cegui-mk2 (0.8.4-2) unstable; urgency=medium

  * debian/copyright file has been improved in this new revision.
  * debian/control:
    + Build-Depends on libglew-dev.

 -- Muammar El Khatib <muammar@debian.org>  Wed, 22 Jul 2015 15:22:20 +0200

cegui-mk2 (0.8.4-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version to 3.9.6.
  * debian/control:
    + CMAKE dependency added.
    + liblua5.1-expat-dev build-dependency was changed to lua-expat-dev.
      (Closes: #729649)
        + doxygen, and graphviz has been added as a build-dependency to compile
      the documentation of CEGUI.
    + automake1.9 has been dropped.
    + ${shlibs:Depends} added to libcegui-mk2-dev package.
    + Build-Depends on libogre-1.9-dev. (Closes: #732723)
    + libcegui-mk2-dev depends on liblcms2-dev.
  * debian/patches:
    + CMakeLists.txt was modified so that cmake is able to find Boost. For
      more information about the change made, check cmakelistchanges.
  * debian/rules:
    + All rules to autotools has been dropped. (Closes: #724357)
  * debian/README.source file has been deleted. This file is not needed
    anymore, given that dpkg-source -x is capable of applying the patches. For
    more information, please refer to:
        https://wiki.debian.org/Projects/DebSrc3.0

 -- Muammar El Khatib <muammar@debian.org>  Sun, 24 May 2015 12:02:20 +0200

cegui-mk2 (0.7.6-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove unneeded dependency on liblcms-dev (Closes: #745530) and libmng-dev
    which would also pull-in lcms.

 -- Tobias Frost <tobi@debian.org>  Sun, 03 Aug 2014 19:09:41 +0200

cegui-mk2 (0.7.6-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Switch to automake1.11. (Closes: #724357)

 -- Eric Dorland <eric@debian.org>  Mon, 03 Mar 2014 22:54:44 -0500

cegui-mk2 (0.7.6-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "boost 1.53 is going away" Removing versioned dependencies
    (Closes: #731019)

 -- Tobias Frost <tobi@coldtobi.de>  Sat, 11 Jan 2014 14:47:21 +0000

cegui-mk2 (0.7.6-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.4.
  * debian/control:
    + OGRE dependency was updated to 1.8. (Closes: #704781)
    + Boost dependency was updated to 1.53.

 -- Muammar El Khatib <muammar@debian.org>  Sun, 14 Aug 2013 20:41:39 +0200
