=== debian/control ===
Source: cegui-mk2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Muammar El Khatib <muammar@debian.org>
Build-Depends: debhelper (>= 6), cdbs, libtool, automake, autoconf,
               pkg-config, libxerces-c-dev, libboost-signals-dev,
               libboost-regex-dev, libfreetype6-dev,
               libtiff-dev, libgl1-mesa-dev, libglu1-mesa-dev, libdevil-dev,
               libpcre3-dev, lua-expat-dev, lua5.1, libois-dev [linux-any],
               libfreeimage-dev, libxcursor-dev, libxpm-dev, python-dev,
               libpng-dev, libxxf86vm-dev, libexpat1-dev,
               libxml2-dev, libsilly-dev, libogre-1.9-dev,
               libglew-dev, libtinyxml-dev, libtolua++5.1-dev (>= 1.0.93),
               cmake, graphviz, doxygen, libglm-dev, libjs-jquery, libglfw-dev,
               libfribidi-dev, libirrlicht-dev, libdirectfb-dev, libgtk2.0-dev,
               libminizip-dev, librapidxml-dev
Standards-Version: 3.9.6
Homepage: http://www.cegui.org.uk/
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/cegui-mk2.git
VCS-Git: git://anonscm.debian.org/collab-maint/cegui-mk2.git

Package: libcegui-mk2-0.8.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcegui-mk2-0c2a
Replaces: libcegui-mk2-0c2a
Description: Crazy Eddie's GUI (libraries)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target.

Package: libcegui-mk2-0.8.4-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, libcegui-mk2-0.8.4 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libcegui-mk2-0-dbg
Replaces: libcegui-mk2-0c2a-dbg
Description: Crazy Eddie's GUI (debugging libraries)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target
 and provides debugging libraries for it.

Package: libcegui-mk2-dev
Section: libdevel
Architecture: any
Suggests: libcegui-mk2-0.8.4-doc
Depends: ${shlibs:Depends}, ${misc:Depends}, libcegui-mk2-0.8.4 (= ${binary:Version}),
         libdevil-dev, libxerces-c3.1, libpng-dev,
         libtiff5-dev | libtiff-dev, libjpeg-dev, libmng-dev,
         zlib1g-dev | libz-dev, libfreetype6-dev, lua-expat-dev, liblcms2-dev,
         libpcre3-dev, libfreeimage-dev
Description: Crazy Eddie's GUI (development files)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This version of CEGUI natively supports the OpenGL rendering target
 and contains the development files for CEGUI.

Package: libcegui-mk2-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Crazy Eddie's GUI (documentation)
 CEGUI is a free library providing windowing and widgets for graphics
 APIs and engines where such functionality is not natively available
 or is severely lacking. The library is written in C++, is object
 oriented, and is primarily targeted at games developers who should be
 spending their time creating great games, not building GUI sub-systems
 .
 This package contains the documentation, and example files for CEGUI.
