=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
LDFLAGS+=-llua5.1 -ldl
DEB_CMAKE_EXTRA_FLAGS= -DBoost_INCLUDE_DIR=/usr/include -DCEGUI_BUILD_RENDERER_DIRECTFB=OFF \
			-DCEGUI_SAMPLES_USE_DIRECTFB=OFF -DCEGUI_BUILD_RENDERER_OPENGL=ON \
			-DCEGUI_SAMPLES_USE_OGRE=ON -DCEGUI_BUILD_XMLPARSER_EXPAT=ON \
			-DCEGUI_BUILD_IMAGECODEC_SILLY=ON -DCEGUI_BUILD_IMAGECODEC_DEVIL=ON\
			-DCEGUI_BUILD_IMAGECODEC_FREEIMAGE=ON -DCEGUI_BUILD_RENDERER_NULL=ON \
			-DCEGUI_BUILD_PYTHON_MODULES=ON -DCEGUI_BUILD_XMLPARSER_TINYXML=ON\
			-DCEGUI_BUILD_XMLPARSER_XERCES=ON

common-configure-arch common-configure-indep::
	cd $(DEB_SRCDIR) && \
	  if ! test -f aclocal.m4 ; then touch aclocal.m4 ; fi

clean::
	rm -f $(DEB_SRCDIR)/bin/Demo6 $(DEB_SRCDIR)/bin/Demo7 $(DEB_SRCDIR)/bin/Demo8 \
	$(DEB_SRCDIR)/bin/DragDropDemo $(DEB_SRCDIR)/bin/FalagardDemo1 \
	$(DEB_SRCDIR)/bin/FirstWindow $(DEB_SRCDIR)/bin/FontDemo $(DEB_SRCDIR)/bin/Minesweeper \
	$(DEB_SRCDIR)/bin/ScrollablePaneDemo $(DEB_SRCDIR)/bin/TabControlDemo  \
	$(DEB_SRCDIR)/bin/TextDemo $(DEB_SRCDIR)/bin/TreeDemo $(DEB_SRCDIR)/bin/InventoryDemo
	rm -f $(DEB_SRCDIR)/config.log $(DEB_SRCDIR)/conftstm.o $(DEB_SRCDIR)/doc/doxygen/doxyfile
	rm -rf $(DEB_SRCDIR)/obj-x86_64-linux-gnu
	rm -rf $(DEB_SRCDIR)/doc/doxygen/html/ $(DEB_SRCDIR)/doc/doxygen/doxygen_sqlite3.db

install/libcegui-mk2-doc::
	doxygen doc/doxygen/doxyfile.in
	cp -rf $(DEB_SRCDIR)/doc/doxygen/html/ \
	$(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/doc/libcegui-mk2-0.8.4/
	rm -f $(DEB_SRCDIR)/debian/libcegui-mk2-docc/usr/share/doc/libcegui-mk2-0.8.4/html/jquery.js
	#These rules are deleting duplicated fonts.
	rm -f $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/DejaVuSans.ttf  \
	      $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/DejaVuSerif.ttf \
	      $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/Junicode.ttf \
	      $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/Jura-DemiBold.ttf \
	      $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/Jura-Light.ttf \
	      $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/Jura-Medium.ttf \
	      $(DEB_SRCDIR)/debian/libcegui-mk2-doc/usr/share/cegui-0.8.4/fonts/batang.ttf

#common-install-arch::
#	for file in debian/tmp/usr/lib/*.la; do \
#	sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
#	done

#DEB_CONFIGURE_EXTRA_FLAGS := --enable-lua-module=yes --enable-toluacegui=no \
                             --with-default-xml-parser=TinyXMLParser --enable-null-renderer
DEB_DH_INSTALL_SOURCEDIR   := $(DEB_SRCDIR)/debian/tmp
